Subject: bug#29586: Please revert change to package deletion

From: Glenn Morris <[email-masked]>
Date: Fri, 08 Dec 2017 12:59:40 -0500

I don't have a strong opinion, but:

I don't know of any package management system that when uninstalling a
binary package moves all the files to a trash directory. It seems to me
this is being used in lieu of some features other package systems do
implement, and that package.el could benefit from:

a transaction history
a downgrade command
a rollback command
caching of the _source_ when installing a package
package archives that provide convenient access to old versions
 (maybe this exists for elpas, I don't know)